/* #region @keyframes */
@keyframes slideUp {
	from {
		opacity: 0;
		translate: 0 var(--px32);
	}

	to {
		opacity: 1;
		translate: 0 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--bluelight);
	text-decoration: none;
	transition: var(--transition);

	&:hover {
		text-decoration: underline;
	}
}

body {
	background-color: var(--bluedark);
	color: var(--blue);
	font-family: Roboto, Arial, serif;
}

h1, h2, h3 {
	font-weight: normal;
	line-height: 1;
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) dotted var(--bluelight50);
	margin: var(--px32) 0;
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;

	&:has(.nav-open) {
		overflow: hidden;
	}
}

img {
	max-width: 100%;
}

li {
	line-height: 1.5;
}

ol {
	margin-left: var(--px24);

	li {
		padding-left: var(--px08);
	}
}

p {
	line-height: 1.5;
	margin-bottom: var(--px20);
	text-wrap: pretty;
}

ul {
	list-style: none;
	padding: 0;
}

/* #endregion */
/* #region Global */
.btn {
	border-radius: var(--px03);
	display: inline-block;
	font-weight: 700;
	letter-spacing: var(--px03);
	line-height: 1;
	padding: var(--px16) var(--px20);
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	width: min(90%, var(--content-max-width, 1200px));
}

/* #endregion */
/* #region Nav */
.nav {
	letter-spacing: var(--px02);
	text-transform: uppercase;

	a {
		border-bottom: var(--px02) solid transparent;
		color: white;
		display: inline-block;
		padding-bottom: var(--px08);
		text-align: center;
		transition: var(--transition);

		@media (width < 1000px) {
			border: 0;
			color: var(--bluelight);
			line-height: 1.2;
			text-align: center;
		}

		&:hover {
			border-color: currentColor;
			text-decoration: none;
		}

		&.scrolled {
			color: var(--blue);
			text-decoration: none;
		}
	}
}

.nav-grid {
	display: grid;
	grid-auto-columns: min-content;
	grid-auto-flow: column;
	grid-gap: var(--px24);
	justify-content: end;

	@media (width < 1000px) {
		grid-auto-flow: row;
		grid-row-gap: var(--px06);
		justify-items: center;
		margin-top: var(--px08);
		max-height: 0;
		overflow: hidden;
		transition: var(--transition);
	}
}

.nav-open {
	margin-bottom: var(--px16);
	max-height: 400px;
}

.nav-toggle {
	background-color: var(--bluelight);
	border-radius: var(--px04);
	color: white;
	cursor: pointer;
	display: none;
	margin: 0 auto;
	padding: var(--px04) var(--px12);

	@media (width < 1000px) {
		display: block;
		transition: var(--transition);
	}

	&:hover {
		background-color: var(--bluelight);
	}
}

/* #endregion */
/* #region Header */
.header {
	backdrop-filter: blur(var(--px04));
	padding: var(--px16) 0;
	position: fixed;
	transition: var(--transition);
	width: 100%;
	z-index: 20;

	@media (width < 1000px) {
		background-color: var(--white90);
	}

	@media (width < 500px) {
		position: static;
	}

	&.scrolled {
		background-color: var(--white90);
	}
}

.header-grid {
	align-items: center;
	display: grid;
	grid-column-gap: 3vw;
	grid-template-columns: auto 1fr;
	transition: var(--transition);

	@media (width < 1000px) {
		grid-template-columns: auto;
		justify-content: center;
		justify-items: center;
	}

	.logo img {
		transition: var(--transition);
		width: 200px;
	}

	.logo.scrolled img {
		width: 150px;
	}
}

/* #endregion */
/* #region Footer */
.footer {
	color: var(--white70);
	padding-block: var(--px96);
	text-align: center;

	a {
		color: var(--white50);
		transition: var(--transition);

		&:hover {
			color: white;
			text-decoration: none;
		}
	}

	.ripcord {
		font-size: var(--px12);
		letter-spacing: var(--px01);
		margin-top: var(--px32);
		text-transform: uppercase;
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, transparent, hsl(210 100 20 / .8) 60%, var(--bluedark)), url("https://ripcord.sirv.com/WindForME/AdobeStock_93948348.jpeg?saturation=60") center/cover no-repeat;
	color: white;
	padding-block: var(--px160) 15vh;
	position: relative;
	text-align: center;
}

.hero-headline {
	color: var(--white90);
	position: relative;

	h1 {
		animation: slideUp 1.5s ease both;
		font-family: Montserrat, Roboto, Arial, serif;
		font-size: var(--fz60);
		font-weight: 700;
		line-height: 1;
		margin: 0 auto var(--px08);
	}

	.btn {
		animation: slideUp 1.5s ease 1s both;
		background-color: var(--bluelight50);
		border: var(--px02) solid var(--white70);
		color: var(--white90);
		font-size: var(--fz14);

		&:hover {
			background-color: var(--bluelight);
			border-color: white;
		}
	}

	.hero-subheading {
		animation: slideUp 1.5s ease .5s both;
		font-size: var(--fz24);
		margin: 0 auto var(--px48);
		max-width: 25em;
	}
}

.hero-headline-more {
	margin-top: 15vh;

	h2 {
		font-family: Montserrat, Arial;
		font-size: var(--fz40);
		font-weight: 700;
		margin-bottom: var(--px12);
	}

	p {
		font-size: var(--fz20);
		font-weight: 300;
		line-height: 1.7;
		margin: 0 auto;
		max-width: 35em;
	}
}

/* #endregion */
/* #region Home-Graphs */
.home-graphs {
	background: linear-gradient(to bottom, steelblue, hsla(210, 100%, 20%, 1));
	color: white;
	padding-block: var(--px64) var(--px96);
	text-align: center;

	h2 {
		font-family: Montserrat, Arial;
		font-size: var(--fz40);
		font-weight: 700;
		margin-bottom: 1.5em;
	}
}

.home-graphs-grid {
	display: grid;
	grid-gap: 3vw;
	grid-template-columns: repeat(3, var(--graph-font-size));
	justify-content: center;
	justify-items: center;

	@media (width < 1000px) {
		--graph-font-size: 12rem;
		grid-template-columns: var(--graph-font-size);
	}

	@media (width < 500px) {
		--graph-font-size: 10rem;
	}
}

.home-graphs-ring {
	cursor: default;
	font-size: var(--graph-font-size);
	font-weight: 700;
	height: 1em;
	margin-bottom: var(--px16);
	position: relative;
	width: 1em;

	.percent {
		font-size: .3em;
		position: absolute;
		text-align: center;
		top: 1.1em;
		width: 100%;
		z-index: 10;

		.symbol {
			font-size: .4em;
			opacity: .5;
			position: absolute;
			vertical-align: top;
		}
	}
}

.home-graphs-ring > #slice {
	position: absolute;
	width: 1em;
	height: 1em;
	clip: rect(0px, 1em, 1em, .5em);
}

.home-graphs-ring > #slice.gt50 {
	clip: rect(auto, auto, auto, auto);
}

.home-graphs-ring > #slice > .pie {
	border: .1em solid #444;
	border-radius: .5em;
	clip: rect(0em, 0.5em, 1em, 0em);
	height: 1em;
	position: absolute;
	width: 1em;
}

.home-graphs-1 .home-graphs-ring > #slice > .pie {
	border-color: #49E;
}

.home-graphs-2 .home-graphs-ring > #slice > .pie {
	border-color: orange;
}

.home-graphs-3 .home-graphs-ring > #slice > .pie {
	border-color: #6B8E23;
}

.home-graphs-ring > #slice > .pie.fill {
	rotate: 180deg;
}

.home-graphs-ring.fill > .percent {
	display: none;
}

.home-graphs-ring:after {
	background: var(--blue);
	border-radius: 100%;
	content: '';
	display: block;
	height: .8em;
	left: .1em;
	position: absolute;
	top: .1em;
	width: .8em;
}

.home-graphs-ring:before {
	border-radius: .5em;
	content: '';
	display: block;
	height: 1em;
	opacity: .5;
	position: absolute;
	width: 1em;
}

.home-graphs-ring:before {
	background: rgba(255, 255, 255, .1);
}

/* #endregion */
/* #region Home-Know */
.home-know {
	background: linear-gradient(to bottom, hsl(210 100 20 / .6), transparent), url("https://ripcord.sirv.com/WindForME/AdobeStock_10103436.jpeg?saturation=60") center/cover no-repeat;
	color: white;
	padding-block: 8vh 25vh;
	text-align: center;

	h2 {
		font-family: Montserrat, Arial;
		font-size: var(--fz48);
		font-weight: 700;
		margin-bottom: var(--px12);
	}

	p {
		font-size: var(--fz24);
		font-weight: 300;
		line-height: 1.5;
		margin-bottom: var(--px32);
	}
}

.home-know-btn {
	background-color: var(--white30);
	border: var(--px02) solid var(--white70);
	color: var(--white90);
	font-size: var(--fz14);

	&:hover {
		background-color: var(--bluelight);
		border-color: white;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: linear-gradient(to bottom, transparent, white 800px), url("https://ripcord.sirv.com/WindForME/AdobeStock_93948348.jpeg?saturation=60") center top no-repeat;
	background-color: var(--bluelight);
	padding-block: var(--px160) var(--px80);

	@media (width < 500px) {
		padding-top: var(--px32);
	}

	h1 {
		font-size: var(--fz36);
		font-weight: 700;
		margin-bottom: var(--px08);
		text-transform: uppercase;
	}

	h2 {
		font-size: calc(1.1rem + .2vw);
		font-weight: 700;
		line-height: 1.5;
		margin: var(--px40) 0 var(--px03);
	}

	li {
		padding-left: var(--px06);

		+ li {
			margin: var(--px10) 0 0;
		}
	}

	ul {
		list-style: disc;
		margin: 0 0 var(--px32) var(--px20);
	}
}

.sub-graphic {
	max-width: 70%;
}

.sub-projects-flex {
	display: flex;
	flex-wrap: wrap;
	gap: var(--px16) var(--px64);
	margin-bottom: var(--px64);

	img {
		flex: 1 400px;
		max-width: 400px;
		min-width: 0;
	}

	ol {
		flex: 1 300px;
	}
}

.sub-tagline {
	font-size: calc(1.4rem + .2vw);
	font-weight: 300;
	line-height: 1.3;
	margin: var(--px20) 0 var(--px03);
}

/* #endregion */